Bug 1282690 - (RHEVM_Rewrite_search_mechanism) [RFE] re-write the search mechanism
[RFE] re-write the search mechanism
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Search-Backend (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Eli Mesika
Pavel Stehlik
infra
: FutureFeature
Depends On:
Blocks: 1067844 1128842 1267232
  Show dependency treegraph
 
Reported: 2015-11-17 01:37 EST by Oved Ourfali
Modified: 2017-05-23 05:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-18 05:06:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Oved Ourfali 2015-11-17 01:37:26 EST
The search mechanism is a piece of code that is hard to maintain, hard to understand, and fails to satisfy all requirements such as supporting special characters properly.

Also, we should aim to improve performance for it.
This RFE is for a re-write to address this issues.
Comment 1 Oved Ourfali 2016-01-18 05:06:56 EST
It doesn't seem like we're gonna re-write the search mechanism.
Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.